curl --request GET \
--url https://app.apigene.ai/api/context/{context_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.apigene.ai/api/context/{context_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.apigene.ai/api/context/{context_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"created_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"apps": [],
"summary": "",
"when_to_use": "",
"type": "",
"status": "active"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Context Get
Endpoint to retrieve a context by its unique ID.
Args: context_id (str): The ID of the context to retrieve.
Returns:
Context: A Context model instance representing the requested context.
Raises: HTTPException 400: If input validation fails HTTPException 404: If the context with the specified ID does not exist. HTTPException 500: If database operation fails
Authorizations
JWT Authorization header using the Bearer scheme. Example: 'Authorization: Bearer {token}'
Path Parameters
Response
Successful Response
Unique identifier for the context
Name of the context
Description of the context
User who created the context
The date and time when the context was created.
The date and time when the context was last updated.
List of associated apps
A short summary about the context
A short summary explaining to LLM when to apply the context
A string to classify the context type
Status of the context: active or disabled
